Subject: Re: [RFC PATCH net-next 7/8] net: dsa: mv88e6060: make it a proper PHY driver

From: Florian Fainelli <[email-masked]>
Date: Thu, 30 Apr 2015 10:13:38 -0700

On 30/04/15 10:02, Andrew Lunn wrote:
>> The net advantage I see with this approach is that currently, with DSA,
>> you get to do the following:
>>
>> - register a "dsa" platform device
>> - force your CPU Ethernet MAC to hardcode link parameters, either via a
>> "fixed PHY" or via custom settings (ala mv643xx_eth)
>> - probing needs to occur in a *very* specific order: MDIO first,
>> Ethernet device second, DSA last
> 
> I'm not sure this is true. I'm pretty sure i've seen DSA return with
> -EPROBE_DEFER and try again later.

Right, I fixed that a little while ago, but that still prevents all the
scenarios described in my reply, in particular module unloading is
completely hairy, see this attempt:

http://permalink.gmane.org/gmane.linux.network/345803
-- 
Florian